Extension = {}
Extension.__mt = {__index = Extension}

------------------------------------------------------------------------------------------------

function Extension:new()
  local instance = {fields = {}, properties = {}}
  setmetatable(instance, Extension.__mt)
  return instance
end

function Extension:apply(class)
  class:add_properties(self.properties)

  for key, value in pairs(self.fields) do
    class[key] = value
  end
end

------------------------------------------------------------------------------------------------

function Extension.__mt:__newindex(key, value)
  print("ADD_EXT " .. key)
  self.fields[key] = value
end

------------------------------------------------------------------------------------------------
