UpdateRateEditor = VariantEditor:derive("update-rate-editor")
UpdateRateEditor:set_variants{
  {"Every 1 tick", 1},
  {"Every 5 ticks", 5},
  {"Every 10 ticks", 10},
  {"Every 20 ticks", 20},
  {"Every 60 ticks", 60},
  {"Every 120 ticks", 120},
  {"Every 600 ticks", 600},
}

------------------------------------------------------------------------------------------------

UpdateRateExt = Extension:new()

UpdateRateExt.properties = {
  {
    name = "update_rate",
    default = 10,
    caption = "Update Rate",
    editor = UpdateRateEditor,
    active = active_always,
  },
}

------------------------------------------------------------------------------------------------
