local function make_char_sprite(char, offset_x, offset_y)
  local ascii_code = string.byte(char)

  return {
    type = "sprite",
    name = string.format("tux-nixie-tube-sprite-%02x", ascii_code),
    filename = "__TuxControls__/graphics/nixie-chars-mono.png",
    x = offset_x * 20,
    y = offset_y * 44,
    width = 20,
    height = 44,
    apply_runtime_tint = true,
    --shift = {-5 / 32, -7 / 32},
  }
end

data:extend({
  make_char_sprite("0", 0, 0),
  make_char_sprite("1", 1, 0),
  make_char_sprite("2", 2, 0),
  make_char_sprite("3", 3, 0),
  make_char_sprite("4", 4, 0),
  make_char_sprite("5", 5, 0),
  make_char_sprite("6", 6, 0),
  make_char_sprite("7", 7, 0),
  make_char_sprite("8", 8, 0),
  make_char_sprite("9", 9, 0),
})
